Loading ...
Sorry, an error occurred while loading the content.

iptables with V2.3R63-uNSLUng-6.8-beta

Expand Messages
  • mattcallow
    Hi, I m running V2.3R63-uNSLUng-6.8-beta and I m trying to install iptables. I started following the instructions at
    Message 1 of 2 , Feb 12, 2007
    • 0 Attachment
      Hi,

      I'm running V2.3R63-uNSLUng-6.8-beta and I'm trying to install
      iptables. I started following the instructions at
      http://www.nslu2-linux.org/wiki/HowTo/EnableFirewall but there seems
      to be a problem with the kernel modules:

      bash-3.2# ipkg install kernel-module-ip-tables -force-depends
      Installing kernel-module-ip-tables (2.4.22.l2.3r63-r17) to root...
      Downloading
      http://ipkg.nslu2-linux.org/feeds/unslung/modules/cross/6.8-beta/kernel-module-ip-tables_2.4.22.l2.3r63-r17_ixp4xxbe.ipk
      Configuring kernel-module-ip-tables
      depmod: cannot read ELF header from
      //opt/lib/modules/2.4.22-xfs/modules.dep
      depmod: cannot read ELF header from
      //opt/lib/modules/2.4.22-xfs/modules.generic_string
      depmod: //opt/lib/modules/2.4.22-xfs/modules.ieee1394map is not an ELF
      file
      depmod: //opt/lib/modules/2.4.22-xfs/modules.isapnpmap is not an ELF file
      depmod: cannot read ELF header from
      //opt/lib/modules/2.4.22-xfs/modules.parportmap
      depmod: //opt/lib/modules/2.4.22-xfs/modules.pcimap is not an ELF file
      depmod: cannot read ELF header from
      //opt/lib/modules/2.4.22-xfs/modules.pnpbiosmap
      depmod: //opt/lib/modules/2.4.22-xfs/modules.usbmap is not an ELF file


      If I try to install the module, I get an error:

      bash-3.2# insmod
      /lib/modules/2.4.22-xfs/kernel/net/ipv4/netfilter/ip_tables.o
      /lib/modules/2.4.22-xfs/kernel/net/ipv4/netfilter/ip_tables.o: ELF
      file /lib/modules/2.4.22-xfs/kernel/net/ipv4/netfilter/ip_tables.o not
      for this architecture


      can anyone tell me what I'm doing wrong?

      Matt
    • mattcallow
      ... I think I ve answered my own question. I had installed modutils and it is insmod from that package that is causing the problems. If I use busybox insmod,
      Message 2 of 2 , Feb 12, 2007
      • 0 Attachment
        --- In nslu2-general@yahoogroups.com, "mattcallow" <mattcallow@...> wrote:
        ...
        >
        > can anyone tell me what I'm doing wrong?
        >
        I think I've answered my own question. I had installed modutils and it
        is insmod from that package that is causing the problems. If I use
        busybox insmod, it all works ok

        Matt
      Your message has been successfully submitted and would be delivered to recipients shortly.